CPULIMIT(8)

NAME
cpulimit -- limits the CPU usage of a process

SYNOPSIS
cpulimit TARGET [OPTIONS...]

DESCRIPTION

TARGET must be exactly one of these:

-p, --pid=N
    pid of the process

-e, --exe=FILE
    name of the executable program file

-P, --path=PATH
    absolute path name of the executable program file

OPTIONS

-l, --limit=N
    percentage of CPU allowed from 0 to 100 (mandatory)

-v, --verbose
    show control statistics

-z, --lazy
    exit if there is no suitable target process, or if it dies

-h, --help
    display this help and exit

EXAMPLES
Assuming you have started `foo --bar` and you find out with top(1) or ps(1) that this process uses all your CPU time you can either

# cpulimit -e foo -l 50
    limits the CPU usage of the process by acting on the executable program file (note: the argument "--bar" is omitted)

# cpulimit -p 1234 -l 50
    limits the CPU usage of the process by acting on its PID, as shown by ps(1)

# cpulimit -P /usr/bin/foo -l 50
    same as -e but uses the absolute path name

AUTHOR
This manpage was written for the Debian project by gregor herrmann <gregor+debian@comodo.priv.at> but may be used by others.